Ulsav Docs

System

Process liveness

GET
/api/v1/healthz

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
builtAt*string
commit*string
service*string
status*string
version*string
Example Request
curl -X GET 'https://example.com/api/v1/healthz'
Example Response
{  "$schema": "https://example.com/schemas/HealthResponse.json",  "builtAt": "unknown",  "commit": "unknown",  "service": "api",  "status": "ok",  "version": "development"}

Dependency readiness

GET
/api/v1/ready

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
dependencies*
status*string
Example Request
curl -X GET 'https://example.com/api/v1/ready'
Example Response
{  "$schema": "https://example.com/schemas/Readiness.json",  "dependencies": {    "property1": {      "error": "connection refused",      "status": "ok"    },    "property2": {      "error": "connection refused",      "status": "ok"    }  },  "status": "ok"}